From 3fa337c9feaef9b34e3e13f4eb88155ec579e4dd Mon Sep 17 00:00:00 2001
From: Cyril Brulebois <cyril@debamax.com>
Date: Fri, 12 Oct 2018 11:53:17 +0200
Subject: [PATCH] Remove obsolete check on Thunderbird addons.

We had some specific check regarding the XPI namespace of Thunderbird's
language packs, to make sure our specific code was working fine. This
was removed when moving to a newer version of Thunderbird, so let's get
rid of that check.
---
 .../chroot_local-hooks/11-check-thunderbird-addons   | 20 --------------------
 1 file changed, 20 deletions(-)
 delete mode 100755 config/chroot_local-hooks/11-check-thunderbird-addons

diff --git a/config/chroot_local-hooks/11-check-thunderbird-addons b/config/chroot_local-hooks/11-check-thunderbird-addons
deleted file mode 100755
index e4612ded12..0000000000
--- a/config/chroot_local-hooks/11-check-thunderbird-addons
+++ /dev/null
@@ -1,20 +0,0 @@
-#!/bin/sh
-
-set -e
-set -u
-
-echo "Checking for Thunderbird language packages"
-
-SUFFIX="@thunderbird.mozilla.org.xpi"
-LANG_PACK_COUNT=$(find /usr/share/thunderbird/extensions/ -name "langpack-*${SUFFIX}" | wc -l)
-
-if [ "$LANG_PACK_COUNT" = "0" ]; then
-  cat >&2 <<EOF
-E: No language packages matching the ${SUFFIX} suffix.
-   It is likely that tails-shell-library/thunderbird.sh needs an update
-EOF
-  exit 1
-else
-  echo "I: ${LANG_PACK_COUNT} language packages found" >&2
-fi
-
-- 
2.11.0

